EventRouter Service, REST: Bus.Get
Returns the specified bus.
To get the list of all available buses, make a List request.
HTTP request
GET https://serverless-eventrouter.api.cloud.yandex.net/eventrouter/v1/buses/{busId}
Path parameters
|
Field |
Description |
|
busId |
string Required field. ID of the bus to get. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"cloudId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"status": "string",
"loggingEnabled": "boolean",
"logOptions": {
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
}
}
|
Field |
Description |
|
id |
string ID of the bus. |
|
folderId |
string ID of the folder that the bus belongs to. |
|
cloudId |
string ID of the cloud that the bus resides in. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the bus. |
|
description |
string Description of the bus. |
|
labels |
object (map<string, string>) Resource labels as |
|
deletionProtection |
boolean Deletion protection. |
|
status |
enum (Status) Status of the bus.
|
|
loggingEnabled |
boolean Is logging from the bus enabled. |
|
logOptions |
Options for logging from the bus. |
LogOptions
|
Field |
Description |
|
logGroupId |
string Entry will be written to log group resolved by ID. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
folderId |
string Entry will be written to default log group for specified folder. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
minLevel |
enum (Level) Minimum log entry level.
|